<?php

namespace App\AutoProcessRules;

/**
 * Auto-process rule - used for executing a certain rule.
 * @author Gabi
 */
abstract class ExecutionAbstract
{

	protected $idRule;

	protected $recordsList;

	public function __construct($idRule)
	{
		$this->idRule = $idRule;
	}

	public function setRecords(Array $recordsList)
	{
		$this->recordsList = $recordsList;
	}

	/**
	 * The actual execution of the current rule.
	 * @param \App\AutoProcessRules\Logs\Rule $ruleLogs
	 */
	abstract public function execute(\App\AutoProcessRules\Logs\Rule $ruleLogs);

}